Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.util
Class SortedVector

    java.lang.Object
      java.util.Vector
          edu.wpi.first.wpilibj.util.SortedVector

    public class SortedVector

extends Vector

Author:
  dtjones

Nested Class Summary
`static interface` | `SortedVector.Comparator` Interface used to determine the order to place sorted objects.

Field Summary

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Constructor Summary
`SortedVector(SortedVector.Comparator comparator)` Create a new sorted vector and use the given comparator to determine order.

Method Summary
`void` | `addElement(Object element)` Adds an element in the Vector, sorted from greatest to least.
`void` | `sort()` Sort the vector.

Methods inherited from class java.util.Vector
`capacity, contains, copyInto, elementAt, elements, ensureCapacity, firstElement, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, removeAllElements, removeElement, removeElementAt, setElementAt, setSize, size, toString, trimToSize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SortedVector

    public SortedVector(SortedVector.Comparator comparator)

  Create a new sorted vector and use the given comparator to determine order.

  Parameters:
    `comparator` - The comparator to use to determine what order to place the elements in this vector.

Method Detail

### addElement

    public void addElement(Object element)

  Adds an element in the Vector, sorted from greatest to least.

  Overrides:
    `addElement` in class `Vector`
  Parameters:
    `element` - The element to add to the Vector

### sort

    public void sort()

  Sort the vector.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"